読者です 読者をやめる 読者になる 読者になる

RVMの最新のリリースバージョンでエラーが出た

Ruby

Mac OS X 10.7の話

$ rvm get latest

$ rvm --version
#=> rvm 1.6.25 by Wayne E. Seguin (wayneeseguin@gmail.com) [https://rvm.beginrescueend.com/]

rvm useを実行するたびにエラーが出るようになった

$ rvm use 1.9.2
Using /Users/arcright/.rvm/gems/ruby-1.9.2-p290
/Users/arcright/.rvm/hooks/after_use_jruby:unset:16: no such hash table element: jruby_ngserver_is_running
/Users/arcright/.rvm/hooks/after_use_jruby:unset:16: no such hash table element: jruby
/Users/arcright/.rvm/hooks/after_use_jruby:unset:16: no such hash table element: ruby

ぐぐったらircのログがヒットしたので*1みたらこんな感じに書かれていた

11:06 wayneeseguin (or anyone else) - After upgrading to 1.6.25 from (1.2.x) I see output like this when I never a directory with a .rvmrc file: /Users/scott/.rvm/hooks/after_use_jruby:unset:16: no such hash table element: jruby_ngserver_is_running. Is this something to be concerned with?
11:08 scott_water: Me too.
11:08 Though, I get it all the time (every `rvm use`).
11:08 scott_water, Pistos, it was already fixed ... at least I see code with fix
11:08 try with head

リポジトリには修正したのが上がってるからrvm get headしてね。ってことらしいのでしてみると治ったという話

$ rvm get head

## バージョンは一緒
$ rvm --version
#=> rvm 1.6.25 by Wayne E. Seguin (wayneeseguin@gmail.com) [https://rvm.beginrescueend.com/]

*1:http://irclogger.com/.rvm/2011-07-20